# class KPtyDevice

###

Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Namespace | global
Class | KPtyDevice
Inherits | QIODevice, KPty

Internal Encapsulates KPty into a QIODevice, so it can be used with Q*Stream, etc.

### methods

- KPtyDevice (parent)

  returns a KPtyDevice object

  Argument | Type | Default
  --- | --- | ---
  parent | QObject | None

  Constructor

- atEnd ()

  returns (bool)

- bytesAvailable ()

  returns (qint64)

- bytesToWrite ()

  returns (qint64)

- canReadLine ()

  returns (bool)

- close ()

  returns nothing

  Close the pty master/slave pair.

- isSequential ()

  returns (bool)

  Returns always true

- open (mode)

  returns (bool)

  Argument | Type | Default
  --- | --- | ---
  mode | QIODevice.OpenMode |

  Create a pty master/slave pair.

  Returns true if a pty pair was successfully opened

- readData (data, maxSize)

  returns (qint64)

  Argument | Type | Default
  --- | --- | ---
  data | char |
  maxSize | qint64 |

- readEof () signal

  returns nothing
  SIGNAL ("readEof ()")

  Emitted when EOF is read from the PTY.

  Data may still remain in the buffers.

- readLineData (data, maxSize)

  returns (qint64)

  Argument | Type | Default
  --- | --- | ---
  data | char |
  maxSize | qint64 |

- readyRead () signal

  returns nothing
  SIGNAL ("readyRead ()")

- waitForBytesWritten (msecs)

  returns (bool)

  Argument | Type | Default
  --- | --- | ---
  msecs | int | -1

- waitForReadyRead (msecs)

  returns (bool)

  Argument | Type | Default
  --- | --- | ---
  msecs | int | -1

- writeData (data, maxSize)

  returns (qint64)

  Argument | Type | Default
  --- | --- | ---
  data | char |
  maxSize | qint64 |